<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdatePostRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'content'    => ['sometimes', 'string', 'min:1', 'max:5000'],
            'visibility' => ['sometimes', 'in:public,private'],
        ];
    }
}
